NewAutoDiscoveryAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.platform.autodiscovery.NewAutoDiscoveryAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.platform.autodiscovery
Class NewAutoDiscoveryAction

    java.lang.Object
      org.apache.struts.action.Action
          org.hyperic.hq.ui.action.BaseAction
              org.hyperic.hq.ui.action.resource.platform.autodiscovery.NewAutoDiscoveryAction

Direct Known Subclasses:
  EditAutoDiscoveryAction

    public class NewAutoDiscoveryAction

extends BaseAction

Action class which saves an auto-discovery. The autodiscovery can be an new/edit auto-discovery.

Field Summary
`static long` | `INTERVAL`
`static long` | `TIMEOUT`

Fields inherited from class org.hyperic.hq.ui.action.BaseAction
`NO_RETURN_PATH, YES_RETURN_PATH`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`NewAutoDiscoveryAction()`

Method Summary
`protected org.apache.struts.action.ActionForward` | `checkSubmit(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, java.util.Map params, boolean doReturnPath)` Return an `ActionForward` if the form has been cancelled or reset; otherwise return `null` so that the subclass can continue to execute.
`org.apache.struts.action.ActionForward` | `execute(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Create a new auto-discovery with the attributes specified in the given `AutoDiscoveryForm`.

Methods inherited from class org.hyperic.hq.ui.action.BaseAction
`checkSubmit, checkSubmit, checkSubmit, checkSubmit, checkSubmit, constructForward, constructForward, constructForward, constructForward, execute, returnAdd, returnAdd, returnAdd, returnCancelled, returnCancelled, returnCancelled, returnCancelled, returnFailure, returnFailure, returnFailure, returnFailure, returnFailure, returnNew, returnNew, returnNew, returnNew, returnNew, returnOkAssign, returnOkAssign, returnRemove, returnRemove, returnRemove, returnReset, returnReset, returnReset, returnReset, returnSuccess, returnSuccess, returnSuccess, returnSuccess, returnSuccess`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TIMEOUT

    public static final long TIMEOUT

See Also:
  Constant Field Values

### INTERVAL

    public static final long INTERVAL

See Also:
  Constant Field Values

Constructor Detail

### NewAutoDiscoveryAction

    public NewAutoDiscoveryAction()

Method Detail

### execute

    public org.apache.struts.action.ActionForward execute(org.apache.struts.action.ActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)
                                                   throws java.lang.Exception

  Create a new auto-discovery with the attributes specified in the given `AutoDiscoveryForm`.

  Overrides:
    `execute` in class `BaseAction`
  Throws:
    `java.lang.Exception`

### checkSubmit

    protected org.apache.struts.action.ActionForward checkSubmit(javax.servlet.http.HttpServletRequest request,
                                                                 org.apache.struts.action.ActionMapping mapping,
                                                                 org.apache.struts.action.ActionForm form,
                                                                 java.util.Map params,
                                                                 boolean doReturnPath)
                                                          throws java.lang.Exception

  Return an `ActionForward` if the form has been cancelled or reset; otherwise return `null` so that the subclass can continue to execute.

  Overrides:
    `checkSubmit` in class `BaseAction`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.